h1 {
  font-family: Oswald, sans-serif;
  color: #ffffff;
}

h2 {
  font-family: Oswald, sans-serif;
  color: #464547;
}

h3 {
  font-family: Oswald, sans-serif;
  color: #666666;
}

p {
  font-family: "Source Sans 3", sans-serif;
  color: #000000;
}

.main-nav {
  padding-top: 3rem;
  padding-bottom: 3rem;
  text-transform: uppercase;
}

.header-hero-container {
  background-image: url("../visual/hero_section_background.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.hero-section {
  padding-top: 10rem;
  padding-bottom: 10rem;
  background-color: transparent; /* Ensure container's background is visible */
}

.hero-section p {
  color: #ffffff;
}

.description-section {
  background-color: #eeeeee;
}

.read-more-button {
  display: flex;
  justify-content: center;
  background-color: #55c2d8;
  border-radius: 1.125rem;
  text-transform: uppercase;
  max-width: max-content;
  cursor: pointer; /* Indicates that it's clickable */
  transition: transform 0.3s ease; /* Smooth transition for transform */
}

/* Style for the read-more-button link */
.read-more-button a {
  color: white;
  text-decoration: none;
  padding: 10px 20px;
  display: inline-block;
}

/* Hover effects */
.read-more-button:hover {
  transform: skewY(5deg); /* Skew the button downwards on the right side */
  transform-origin: left; /* Keep the left side in place */
}

.video-section {
  background-image: linear-gradient(
      rgba(140, 79, 42, 0.5),
      rgba(140, 79, 42, 0.5)
    ),
    url("../visual/video_poster.jpg");
  background-color: #808080; /* Fallback color if the image fails to load */
}

.video-section h2 {
  color: #ffffff;
}

.video-section p {
  color: #ffffff;
}

.play-button {
  width: 144px;
  height: 144px;
  background-color: #39c2d7;
  border-radius: 50%;
  border: none;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  transition: background-color 0.3s ease, transform 0.3s ease; /* Add transitions for background-color and transform */
}

.play-button:hover {
  background-color: white; /* Change background color to white */
  transform: scale(0.95); /* Slightly reduce the button size */
}

.play-icon svg path {
  fill: white; /* Initial fill color for SVG */
  transition: fill 0.3s ease; /* Transition for the fill color */
}

.play-button:hover .play-icon svg path {
  fill: #39c2d7; /* Change SVG fill color to #39c2d7 on hover */
}

footer {
  background-color: #464547;
  color: #ffffff;
}

footer a {
  text-decoration: none;
  color: #ffffff;
}

footer p {
  color: #ffffff;
}

/* CSS for the animated-image class */
.animated-image {
  /* Initial state */
  width: 64px; /* Optional if already defined inline */
  height: 64px; /* Optional if already defined inline */
  transition: transform 0.3s ease; /* Smooth transition for transform */
  /* Ensuring backface is not visible during rotation */
  backface-visibility: hidden;
}

.animated-image:hover {
  /* Hover state */
  transform: rotateY(360deg) scale(1.5); /* Rotate 360 degrees around the Y-axis and increase size by 1.5 times */
}
